unit U_RReport;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RpRender, RpRenderPDF, RpRave, RpDefine, RpCon, RpConDS, DB, Dbf,
  StdCtrls, RpBase, RpSystem;

type
  TForm1 = class(TForm)
    DbfDocument: TDbf;
    DsDocument: TDataSource;
    DbfSequence: TDbf;
    DbfGestion: TDbf;
    DsGestion: TDataSource;
    DSSequence: TDataSource;
    RvCnxDocument: TRvDataSetConnection;
    RVCnxSequence: TRvDataSetConnection;
    RvcnxGestion: TRvDataSetConnection;
    RvProject1: TRvProject;
    RvRenderPDF1: TRvRenderPDF;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    RvSystem1: TRvSystem;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure RvCnxDocumentOpen(Connection: TRvCustomConnection);
    procedure RVCnxSequenceOpen(Connection: TRvCustomConnection);
    procedure RvcnxGestionOpen(Connection: TRvCustomConnection);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  DbfGestion.FilePath := extractFilepath(Application.ExeName);
  DbfSequence.FilePath := extractFilepath(Application.ExeName);
  DbfDocument.FilePath := extractFilepath(Application.ExeName);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  t: integer;
begin
  t := TButton(sender).Tag;
  case t of
    0..2: begin
        DbfSequence.Open;
        DbFdocument.Open;
        if t = 2 then
          DBfGestion.Open;
        try
          with RvProject1 do begin
            RvProject1.ProjectFile := 'GereDocPedagogique.rav'; // attention si le fichier
            Open; //de rapport n'est pas dans
            case t of //le mme rpertoire de l'application,
              0: executereport('Document_Global'); //il faut indiquer le chemin complet
              1: executereport('Document_Detail');
              2: executereport('Document_Gestion');
            end;
            close;
          end;
        finally
          DbfSequence.close;
          DbFdocument.close;
          DbfGestion.Close;
        end;
      end;
  end;
end;

procedure TForm1.RvCnxDocumentOpen(Connection: TRvCustomConnection);
begin
  Connection.DataRows := 1000;
end;

procedure TForm1.RVCnxSequenceOpen(Connection: TRvCustomConnection);
begin
  Connection.DataRows := 1000;
end;

procedure TForm1.RvcnxGestionOpen(Connection: TRvCustomConnection);
begin
  Connection.DataRows := 1000;
end;

end.

